LibreOffice: XXMLSignature Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XXMLSignature Interface Reference

Interface of XML signature. More...

`import"XXMLSignature.idl";`

Inheritance diagram for XXMLSignature:

## Public Member Functions
com::sun::star::xml::crypto::XXMLSignatureTemplate | generate ([in] com::sun::star::xml::crypto::XXMLSignatureTemplate aTemplate, [in] com::sun::star::xml::crypto::XSecurityEnvironment aEnvironment) raises ( com::sun::star::xml::crypto::XMLSignatureException , com::sun::star::uno::SecurityException )
| Perform signature in the environment of signature template and context. More...
com::sun::star::xml::crypto::XXMLSignatureTemplate | validate ([in] com::sun::star::xml::crypto::XXMLSignatureTemplate aTemplate, [in] com::sun::star::xml::crypto::XXMLSecurityContext aContext) raises ( com::sun::star::xml::crypto::XMLSignatureException , com::sun::star::uno::SecurityException )
| Perform validation in the environment of signature template and context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of XML signature.

This interface represents a XML signer or verifier.

The signer or verifier concrete a key by retrieve signature context and signature template.

In some cases, the signer or verifier can determine and locate the contents to be signed from the signature template by dereference the URI.

In some cases, the contents to be signed need to be clearly pointed out by the signature template.

## Member Function Documentation

## ◆ generate()

com::sun::star::xml::crypto::XXMLSignatureTemplate generate | ( | [in] com::sun::star::xml::crypto::XXMLSignatureTemplate | aTemplate,
|  | [in] com::sun::star::xml::crypto::XSecurityEnvironment | aEnvironment
| ) |  |
raises | ( | com::sun::star::xml::crypto::XMLSignatureException ,
|  | com::sun::star::uno::SecurityException
| ) |  |

Perform signature in the environment of signature template and context.

## ◆ validate()

com::sun::star::xml::crypto::XXMLSignatureTemplate validate | ( | [in] com::sun::star::xml::crypto::XXMLSignatureTemplate | aTemplate,
|  | [in] com::sun::star::xml::crypto::XXMLSecurityContext | aContext
| ) |  |
raises | ( | com::sun::star::xml::crypto::XMLSignatureException ,
|  | com::sun::star::uno::SecurityException
| ) |  |

Perform validation in the environment of signature template and context.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XXMLSignature.idl